Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039878
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-01-08 09:142019-03-28 14:55
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision90c48060859c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039878: Import Entry can be created defining Client and Organization

DescriptionCurrently, Import Entries can be created using the createImportEntry() method in ImportEntryManager. However, these implementations assume the client,organization and role from the current OBContext. It'd be preferable to have and option to manually set those values.
Steps To ReproduceSee above.
Proposed SolutionInstead of creating more implementations of createImportEntry() with even more parameters, a Builder pattern with a fluent API can be made to create and validate the newly created ImportEntry.
TagsNo tags attached.
Attached Filespatch file icon 39878.patch [^] (26,837 bytes) 2019-01-09 18:14 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0041033 closedcaristu ImportEntryPreProcessors with qualifiers are not executed 

-  Notes
(0108997)
hgbot (developer)
2019-01-17 17:34

Repository: erp/devel/pi
Changeset: 90c48060859cc70935add00e77e8065dedb197cc
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jan 08 11:59:12 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/90c48060859cc70935add00e77e8065dedb197cc [^]

Fixed issue 39878: Import entry can be created defining Client and Organization.

Created a Builder class with fluent API to create new Import entries that
validates and creates the new object. If commit and close is set to true,
ImportEntryManager will be notified about the new entry created.

---
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
A src-test/src/org/openbravo/test/system/ImportEntryBuilderTest.java
A src/org/openbravo/service/importprocess/ImportEntryAlreadyExistsException.java
A src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109016)
hgbot (developer)
2019-01-18 13:02

Repository: erp/devel/pi
Changeset: a1b397f50ae2ecc191ffc2e7be54c9eedf1f4197
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jan 18 12:56:43 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a1b397f50ae2ecc191ffc2e7be54c9eedf1f4197 [^]

Related to issue 39878: Adding public method documentation to ImportEntryBuilder

---
M src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109017)
jarmendariz (developer)
2019-01-18 13:18

Adding ImportEntryBuilder in wiki: http://wiki.openbravo.com/wiki/How_to_use_Import_Entry_to_distribute_changes#First_Step:_Create_Import_Entry_Record [^]
(0109018)
hgbot (developer)
2019-01-18 13:27

Repository: erp/devel/pi
Changeset: 644986ebb25042d7fbe96bc5459a2696ef00bdab
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jan 18 13:27:38 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/644986ebb25042d7fbe96bc5459a2696ef00bdab [^]

Related to issue 39878: Improving ImportEntryBuilder.setProperty documentation

---
M src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109019)
hgbot (developer)
2019-01-18 13:35

Repository: erp/devel/pi
Changeset: cf58c9985234a5455286f2d973760c8a3ad2b71e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jan 18 13:35:08 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cf58c9985234a5455286f2d973760c8a3ad2b71e [^]

Related to issue 39878: Changing documentation of exception thrown in validation

---
M src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109036)
hgbot (developer)
2019-01-21 11:00

Repository: erp/devel/pi
Changeset: 9f730ec444e7c9021361c621eb6fe398c3f931f7
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Jan 21 10:59:28 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9f730ec444e7c9021361c621eb6fe398c3f931f7 [^]

Related to issue 39878: Small improvements.

---
M src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109065)
hgbot (developer)
2019-01-22 11:47

Repository: erp/devel/pi
Changeset: 36b484865d50a55797f2b512cddd369d9bfaf56c
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jan 22 11:46:43 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/36b484865d50a55797f2b512cddd369d9bfaf56c [^]

Related to issue 39878: Renamed method to make it more descriptive

---
M src/org/openbravo/service/importprocess/ImportEntryBuilder.java
---
(0109068)
AugustoMauch (developer)
2019-01-22 12:31

Code reviewed and verified
(0110735)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110739)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110740)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110741)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110745)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110751)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-08 09:14 jarmendariz New Issue
2019-01-08 09:14 jarmendariz Assigned To => jarmendariz
2019-01-08 09:14 jarmendariz Modules => Core
2019-01-08 09:14 jarmendariz Triggers an Emergency Pack => No
2019-01-08 09:14 jarmendariz Status new => scheduled
2019-01-09 18:14 jarmendariz File Added: 39878.patch
2019-01-09 18:15 jarmendariz Review Assigned To => AugustoMauch
2019-01-17 17:34 hgbot Checkin
2019-01-17 17:34 hgbot Note Added: 0108997
2019-01-17 17:34 hgbot Status scheduled => resolved
2019-01-17 17:34 hgbot Resolution open => fixed
2019-01-17 17:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/90c48060859cc70935add00e77e8065dedb197cc [^]
2019-01-18 13:02 hgbot Checkin
2019-01-18 13:02 hgbot Note Added: 0109016
2019-01-18 13:18 jarmendariz Note Added: 0109017
2019-01-18 13:27 hgbot Checkin
2019-01-18 13:27 hgbot Note Added: 0109018
2019-01-18 13:35 hgbot Checkin
2019-01-18 13:35 hgbot Note Added: 0109019
2019-01-21 11:00 hgbot Checkin
2019-01-21 11:00 hgbot Note Added: 0109036
2019-01-22 11:47 hgbot Checkin
2019-01-22 11:47 hgbot Note Added: 0109065
2019-01-22 12:31 AugustoMauch Note Added: 0109068
2019-01-22 12:31 AugustoMauch Status resolved => closed
2019-01-22 12:31 AugustoMauch Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110735
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110739
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110740
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110741
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110745
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110751
2019-06-05 16:47 caristu Relationship added causes 0041033


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker